package com.engine.matfron.entity;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.LinkedList;

/**
 * @Author liang.cheng
 * @Date 2023/9/27 5:30 PM
 * @Description: echarts option
 * @Version 1.0
 */

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class OptionVO {

    private String titleText;

    private LinkedList<String> xData;

    private Integer yMin;

    private Integer yMax;

    private Integer yInterval;

    private LinkedList<Integer> yData;

    private LinkedList<String> legendDataFirst;

    private LinkedList<String> legendDataTwo;

    private LinkedList<Integer> barSeriesData;

    private LinkedList<Integer> barSeriesDataTwo;

    private LinkedList<Integer> barSeriesDataThree;

    private LinkedList<SeriesParam> seriesData;

}
